#ifndef plugin_sound_eventsH
#define plugin_sound_eventsH

#include <windows.h>

#include "cl_struct.h"

//hook powiadamiajcy o zdarzeniach dwikowych
#define TLEN_SOUNDENGINE_BEFOREEVENT            "Tlen/SoundEngine/BeforeEvent"
//funkcja odgrywajca dwik zdarzenia
#define TLEN_SOUNDENGINE_PLAYSOUND              "Tlen/SoundEnging/PlaySound"

//Tu jako WPARAM idzie:
typedef struct {

 int structSize;		//wielko strutkury w bajtach

 int EventCode;                 //Kod zdarzenia
 ContactDef *Contact;           //Kontakt, ktrego dotyczy zdarzenie (lub sam protok - np logowanie, albo te NULL)

 char *WaveFile;                //cieka pliku, ktry zostanie odegrany

 int Flags;

} SoundEventDef;


#define SOUND_EVENT_LOGGEDIN                    0x0001
#define SOUND_EVENT_MESSAGERECV                 0x0002
#define SOUND_EVENT_CHATSTARTED                 0x0003
#define SOUND_EVENT_CHATMESSAGERECV             0x0004
#define SOUND_EVENT_CONFERENCEMESSAGERECV       0x0005
#define SOUND_EVENT_CONFERENCEINVITATION        0x0006
#define SOUND_EVENT_USERONLINE                  0x0007
#define SOUND_EVENT_AUTHORIZATIONREQUEST        0x0008
#define SOUND_EVENT_FILERECV                    0x0009
#define SOUND_EVENT_VOICECHATRECV               0x000A
#define SOUND_EVENT_MAILRECV                    0x000B
#define SOUND_EVENT_ALERT                       0x000C
#define SOUND_EVENT_LOGGEDINGG                  0x000D

#endif
