//---------------------------------------------------------------------------
#ifndef sl_structH
#define sl_structH
//---------------------------------------------------------------------------

#include <windows.h>

typedef struct {

 int structSize;		//wielko struktury w bajtach

 char **strings;
 int count;

} StringListDef;

typedef int (*sl_init_type)          (StringListDef *s);
typedef int (*sl_add_type)           (StringListDef *s, char *string);
typedef int (*sl_delete_type)        (StringListDef *s, int index);
typedef char * (*sl_get_type)        (StringListDef *s, int index);
typedef int (*sl_find_type)          (StringListDef *s, char *string);
typedef int (*sl_free_type)          (StringListDef *s);
typedef int (*sl_addstrings_type)    (StringListDef *s, StringListDef *strings);
typedef int (*sl_commonpart_type)    (StringListDef *s, StringListDef *cmp);

#endif
