/* ==========================================================================
 * Name:        tlenek\tlenek.h
 * Purpose:     Glowny naglowek includowany w projekcie wykorzystujacym 
 *              biblioteke Tlenek, dolaczajacy niezbedne elementy biblioteki
 * Author:      Marcin 'malcom' Malich <me@malcom.pl>
 * Modified by:
 * Created:     20/09/2007 15:42:40
 * SVN-ID:      $Id: tlenek.h 23 2007-11-19 22:05:03Z malcom $
 * Copyright:   (c) 2007 Marcin 'malcom' Malich <me@malcom.pl>, Poland
 * Licence:     GNU Lesser General Public License
 * ========================================================================== */

#ifndef _TLENEK_H_
#define _TLENEK_H_


#include "tlenek\defs.h"
#include "tlenek\contacticon.h"
#include "tlenek\contactinfo.h"
#include "tlenek\contactitem.h"
#include "tlenek\contactlist.h"
#include "tlenek\dialoghandle.h"
#include "tlenek\event.h"
#include "tlenek\exception.h"
#include "tlenek\function.h"
#include "tlenek\handler.h"
#include "tlenek\hook.h"
#include "tlenek\image.h"
#include "tlenek\info.h"
#include "tlenek\inifile.h"
#include "tlenek\misc.h"
#include "tlenek\optionswindow.h"
#include "tlenek\plugin.h"
#include "tlenek\protocol.h"
#include "tlenek\protocolinfo.h"
#include "tlenek\protocollist.h"
#include "tlenek\protocols.h"
#include "tlenek\stringlist.h"
#include "tlenek\tlen.h"
#include "tlenek\utils.h"
#include "tlenek\version.h"
#include "tlenek\xml.h"
#include "tlenek\xml2.h"


#include "tlen_sdk\cl_struct.h"
#include "tlen_sdk\plugin_avatar.h"
#include "tlen_sdk\plugin_bar.h"
#include "tlen_sdk\plugin_bctypes.h"
#include "tlen_sdk\plugin_chatwindow.h"
#include "tlen_sdk\plugin_contactlist_defs.h"
#include "tlen_sdk\plugin_customstatus.h"
#include "tlen_sdk\plugin_defs.h"
#include "tlen_sdk\plugin_file.h"
#include "tlen_sdk\plugin_http.h"
#include "tlen_sdk\plugin_menu.h"
#include "tlen_sdk\plugin_notify.h"
#include "tlen_sdk\plugin_options.h"
#include "tlen_sdk\plugin_procaddr.h"
#include "tlen_sdk\plugin_propertieswindow.h"
#include "tlen_sdk\plugin_protocol_defs.h"
#include "tlen_sdk\plugin_skin.h"
#include "tlen_sdk\plugin_sound_events.h"
#include "tlen_sdk\plugin_struct.h"
#include "tlen_sdk\plugin_timer.h"
#include "tlen_sdk\plugin_vctypes.h"
#include "tlen_sdk\sl_struct.h"


#endif // _TLENEK_H_
