/* ==========================================================================
 * Name:        tlenek\version.h
 * Purpose:     Dane na temat wersji biblioteki Tlenek
 * Author:      Marcin 'malcom' Malich <me@malcom.pl>
 * Modified by:
 * Created:     30/09/2007 03:10:07
 * SVN-ID:      $Id: version.h 1 2007-10-03 18:02:05Z malcom $
 * Copyright:   (c) 2007 Marcin 'malcom' Malich <me@malcom.pl>, Poland
 * Licence:     GNU Lesser General Public License
 * ========================================================================== */

#ifndef _TLENEK_VERSION_H_
#define _TLENEK_VERSION_H_


#include "tlen_sdk\plugin_struct.h"


// this file is parsed by automatic tools so don't change its format!
#define TLENEK_MAJOR_VERSION		0
#define TLENEK_MINOR_VERSION		0
#define TLENEK_RELEASE_NUMBER		2
#define TLENEK_SUBRELEASE_NUMBER	0
#define TLENEK_VERSION_STRING		"Tlenek 0.0.2"


#define TLENEK_VERSION MAKE_DWORD_VERSION(TLENEK_MAJOR_VERSION,TLENEK_MINOR_VERSION,TLENEK_RELEASE_NUMBER,TLENEK_SUBRELEASE_NUMBER);


#endif // _TLENEK_VERSION_H_
